org.encog.neural.neat

## Interface NEATGenomeFactory

- All Superinterfaces:
    GenomeFactory
  All Known Implementing Classes:
    FactorHyperNEATGenome, FactorNEATGenome

      public interface NEATGenomeFactory
      extends GenomeFactory

  This interface defines additional methods defined to create NEAT genomes. It is an extension to the non-NEAT specific GenomeFactory. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NEATGenome` | `factor(List<NEATNeuronGene> neurons, List<NEATLinkGene> links, int inputCount, int outputCount)` Create a NEAT genome from a list of links and neurons.
    `NEATGenome` | `factor(Random rnd, NEATPopulation pop, int inputCount, int outputCount, double connectionDensity)` Create a new random NEAT genome.

    - ### Methods inherited from interface org.encog.ml.ea.genome.GenomeFactory

      `factor, factor`

- - ### Method Detail

    - #### factor

          NEATGenome factor(List<NEATNeuronGene> neurons,
                          List<NEATLinkGene> links,
                          int inputCount,
                          int outputCount)

      Create a NEAT genome from a list of links and neurons.
      Parameters:
        `neurons` - A list of neuron genes.
        `links` - A list of link genes.
        `inputCount` - The input count.
        `outputCount` - The output count.
      Returns:
        The newly factored NEATGenome.

    - #### factor

          NEATGenome factor(Random rnd,
                          NEATPopulation pop,
                          int inputCount,
                          int outputCount,
                          double connectionDensity)

      Create a new random NEAT genome.
      Parameters:
        `rnd` - A random number generator.
        `pop` - The NEAT population.
        `inputCount` - The input count.
        `outputCount` - The output count.
        `connectionDensity` - The connection density. Specify 1.0 for fully connected.
      Returns:
        The newly created NEAT genome.

Copyright © 2014. All Rights Reserved.